<link rel="stylesheet"
      type="text/css"
      href="<?php echo $this->module->assetsUrl; ?>/main.css"/>

<div id="moduletitle">
    <?php echo $module->id; ?> Module
</div>

<div id="modulewarning">
    <?php
    $langfound = count($module->languages);

    switch ($langfound) {
        case 0:
            echo 'No languages found, you need to create the directory "' . $module->language . '" on:';
            echo '<pre> ' . $module->messagepath . '</pre>';
            break;
        case 1:
            echo 'Only one language found, create some directories for the other languages on:';
            echo '<pre>' . $module->messagepath . '</pre>';
            break;
        default:
            break;
    }
    ?> 
</div>

<div id="modulesettings">
    <h6>
        TranslatePhpMessage module found this settings. You must change them on config file if they are not correct.
    </h6>
    <br/>
    <p>
        Yii defined language: <pre><?php echo $module->language ?> (<?php echo Yii::App()->locale->getLocaleDisplayName($module->language); ?>)</pre><br/>
    <hr/>
    Languages found on <pre><?php echo $module->messagepath ?>:</pre>
    <?php CVarDumper::dump($module->languages, 10, true); ?>
    <br/>
    Files found under <pre><?php echo $module->messagepath . '\\' . $module->language ?>;</pre>
    <?php CVarDumper::dump($module->findFiles($module->language), 10, true); ?>




</div>

<div id="moduleactions">
    <h5>
        Actions
    </h5>
    <?php if (count($module->findFiles($module->language)) > 0): ?>
        <?php
        $form = $this->beginWidget('CActiveForm', array(
            'action' => Yii::app()->createUrl('TranslatePhpMessage/translate/edit'),
            'method' => 'post',
            'id' => 'translate',
                ));
        ?>

        translate <?php echo $module->languageName($module->language) ?> to <?php echo CHtml::dropDownList('LanguagesNames', $module->language, $module->languagesnames); ?><br/>

        <?php echo CHtml::submitButton('Translate'); ?>

        <?php $this->endWidget(); ?>

    <?php else: ?>
        
        No files where found for the defined language.
        Create at least one file first.

    <?php endif; ?>  

</div>